<template>
	<div>
		<span v-if="data?.title" class="text-base font-bold flex-center mb-5">{{ data?.title }}</span>
		<AMISRenderer :schema="data?.amis_json" />
	</div>
</template>

<script setup lang="ts">
import type { PropType } from 'vue';
import AMISRenderer from '/@/components/amis/AMISRenderer.vue';
const props = defineProps({
	data: {
		type: Object as PropType<any>,
	},
});
</script>
<style scoped lang="scss"></style>
